pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: devel/boost-libs-1.53.0 won't build on alpha

On Thu, Mar 07, 2013 at 04:47:12PM -0600, Dave Huang wrote:
> As far as I can tell, boost 1.53 won't build on alpha due to
> Boost.Context requiring a bit of assembly code. pkgsrc has a patch to
> add the necessary bits for sparc, but there's nothing for alpha.
> Should alpha be added to the package's NOT_FOR_PLATFORM? BTW, I don't
> see any m68k support either, but I haven't tried to build it on a 68k
> :)

I added the sparc stuff and worked with upstream to get it integrated
there and I also have alpha and m68k machines available for testing.

For alpha it sounds reasonable to add support, but is anyone actually
going to use a monster like boost-libs on m68k?

I remember how painfull it was on sparc (and I kinda cheated there with
a sparc64 machine running 32bit).

To put it blunt: isn't it much more sensible to mark boost-libs as
NOT_FOR_.... instead? Does anyone know if it fully builds w/o context?

No pun intended, if anyone realy uses it, I might even be talked into
trying to add support for the platform. Done it once, understand the
interface, know how to test...


Home | Main Index | Thread Index | Old Index